#ifndef EXCELDECODER_H
#define EXCELDECODER_H
#include <QObject>
#include <QVariant>

class ExcelDecoder
{
public:
    enum DecoderType{
        none = 0,                  //当前为空
        stocks = 1,                //每日成交数据
        limit_up,                  //涨停板
        limit_down                 //跌停板
    };

    ExcelDecoder();
    virtual DecoderType decoderType(){ return DecoderType::none;}
    virtual ~ExcelDecoder(){}
    virtual void decode(QList<QList<QVariant> > datas,QString date = ""){}
};

#endif // EXCELDECODER_H
